class AddAdminAndRoleNamesToUsers < ActiveRecord::Migration[5.1]
  def change
    add_column :users, :admin, :boolean, default: false, null: false
    add_column :users, :role_names, :text
    add_column :users, :role_names_admin, :text
    add_column :users, :settings_storage, :text
    add_column :users, :authentication_token, :string
    add_column :users, :authentication_token_created_at, :datetime
    add_column :users, :nickname, :string
    add_index :users, :authentication_token
  end
end

